%define oname   xml-simple

Name:       ruby-%{oname}
Version:    1.0.15
Release:    %mkrel 1
Summary:    A simple API for XML processing
License:    GPLv2+ or Ruby License
Group:      Development/Ruby
URL:        http://xml-simple.rubyforge.org
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
A simple API for XML processing.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

chmod 644 %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/xmlsimple.rb

%clean
rm -rf %{buildroot}



%changelog
* Sat Apr 09 2011 shikamaru <shikamaru> 1.0.15-1.mga1
+ Revision: 82574
- new version 1.0.15

* Sat Feb 12 2011 shikamaru <shikamaru> 1.0.14-1.mga1
+ Revision: 50847
- imported package ruby-xml-simple


* Sat Feb 12 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.0.14-1mdv2011.0
- Apply new ruby policy
- Apply general mageia rules
- New version 1.0.14

* Fri Dec 10 2010 Rémy Clouard <shikamaru@mandriva.org> 1.0.12-1mdv2011.0
+ Revision: 620455
- import rubygem-xml-simple

